<?php
/************************************************************************
 * M-XChange v0.2.1                                   Start: 04/24/2005 *
 * ================                             Last change: 05/19/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-del_sponsor.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Edit sponsor account                             *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Sponsorenaccount aendern                         *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4)."/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", __FILE__);

if (!empty($_GET['id'])) {
	// Check for selected sponsor
	$result = SQL_QUERY_ESC("SELECT email, gender, surname, family FROM "._MYSQL_PREFIX."_sponsor_data WHERE id='%s' LIMIT 1",
		array(bigintval($_GET['id'])), __FILE__, __LINE__);
	if (SQL_NUMROWS($result) == 1) {
		// Remove sponsor
		if (isset($_POST['ok'])) {
			// Load data and remember it in constants
			list($email, $gender, $surname, $family) = SQL_FETCHROW($result);

			// Free result
			SQL_FREERESULT($result);

			define('__EMAIL'  , $email);
			define('__GENDER'  , TRANSLATE_GENDER($gender));
			define('__SURNAME', $surname);
			define('__FAMILY' , $family);

			// Prepare message and send it away
			$msg = LOAD_EMAIL_TEMPLATE("del_sponsor", $_POST['reason'], bigintval($_GET['id']));
			SEND_EMAIL($email, SPONSOR_ADMIN_DEL_SUBJECT, $msg);

			// Remove account
			SQL_QUERY_ESC("DELETE LOW_PRIORITY FROM "._MYSQL_PREFIX."_sponsor_data WHERE id='%s' LIMIT 1",
				array(bigintval($_GET['id'])), __FILE__, __LINE__);

			// Remove orders
			SQL_QUERY_ESC("DELETE LOW_PRIORITY FROM "._MYSQL_PREFIX."_sponsor_orders WHERE sponsorid='%s' LIMIT 1",
				array(bigintval($_GET['id'])), __FILE__, __LINE__);

			// Output message
			LOAD_TEMPLATE("admin_settings_saved", false, SPONSOR_DELETED_1.bigintval($_GET['id']).SPONSOR_DELETED_2);
		} elseif (!empty($_POST['no'])) {
			// Do not delete him...
			LOAD_URL(URL."/modules.php?module=admin&amp;what=list_sponsor&amp;id=".bigintval($_GET['id']));
		} else {
			// Load data
			list ($email, $gender, $sname, $fname) = SQL_FETCHROW($result);

			// Transfer data to constants for the template
			define('__EMAIL', $email);
			define('__SNAME', $sname);
			define('__FNAME', $fname);
			define('__GENDER', TRANSLATE_GENDER($gender));
			define('__UID'  , bigintval($_GET['id']));

			// Display form
			LOAD_TEMPLATE("admin_del_sponsor");
		}
	} else {
		// Sponsor not found!
		LOAD_TEMPLATE("admin_settings_saved", false, ADMIN_SPONSOR_404_1.bigintval($_GET['id']).ADMIN_SPONSOR_404_2);
	}
} else {
	// Not called by what-list_sponsor.php
	LOAD_TEMPLATE("admin_settings_saved", false, ADMIN_CALL_NOT_DIRECTLY);
}

//
?>
